Skip to content

getMaintenanceDispatchItems

READ

Get maintenance dispatch items.

POST /api/v1/resources/getMaintenanceDispatchItems
curl -X POST '<your-host>/api/v1/resources/getMaintenanceDispatchItems' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "dispatchId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "itemId": "string",
      "quantity": 0,
      "unitOfMeasureCode": "string",
      "unitCost": 0,
      "totalCost": 0,
      "item": {
        "id": "string",
        "name": "string",
        "itemTrackingType": "Inventory"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "dispatchId": {
      "type": "string"
    }
  },
  "required": [
    "dispatchId"
  ]
}